Bug 495104 - DomainController.cfg profile has hardcoded URL
DomainController.cfg profile has hardcoded URL
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Profile (Show other bugs)
1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-04-09 14:34 EDT by Rob Crittenden
Modified: 2015-01-04 18:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change specifc redhat machine to localhost.localdomain (1.68 KB, patch)
2009-07-09 14:17 EDT, Christina Fu
no flags Details | Diff
replaced port number too. (1.68 KB, patch)
2009-07-09 14:33 EDT, Christina Fu
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2009-04-09 14:34:38 EDT
Description of problem:

The DomainController.cfg profile has a hardcoded Red Hat URL in it:

policyset.set1.5.default.params.authInfoAccessADLocation_0=http://air.sfbay.redhat.com:9080/ca/ee/ca/getCRL?crlIssuingPoint=MasterCRL&op=getCRL&crlDisplayType=cachedCRL&submit=Submit
policyset.set1.crldp.default.params.crlDistPointsPointName_0=http://air.sfbay.redhat.com:9080/ca/ee/ca/getCRL?crlIssuingPoint=MasterCRL&op=getCRL&crlDisplayType=cachedCRL&submit=Submit

Version-Release number of selected component (if applicable):

SVN changeset 380
Comment 1 Christina Fu 2009-07-09 14:17:56 EDT
Created attachment 351111 [details]
change specifc redhat machine to localhost.localdomain
Comment 2 Christina Fu 2009-07-09 14:33:40 EDT
Created attachment 351115 [details]
replaced port number too.

Note: The url still needs to be customized by the administrator.  This fix is to at least not point to a redhat machine.
Comment 3 Andrew Wnuk 2009-07-09 14:45:49 EDT
attachment (id=351115) +awnuk
Comment 4 Christina Fu 2009-07-09 14:47:35 EDT
[cfu@jaw ca]$ pwd
/home/cfu/dogtag/src0/pki/base/ca/shared/profiles/ca
[cfu@jaw ca]$ svn commit DomainController.cfg
Sending        DomainController.cfg
Transmitting file data .
Committed revision 691.
Comment 6 Jenny Galipeau 2009-07-14 09:38:20 EDT
Verified:

[root@qe-blade-11 ca]# cat DomainController.cfg | grep authInfoAccessADLocation 
policyset.set1.5.default.params.authInfoAccessADLocationType_0=URIName
policyset.set1.5.default.params.authInfoAccessADLocation_0=http://localhost.localdomain:9180/ca/ee/ca/getCRL?crlIssuingPoint=MasterCRL&op=getCRL&crlDisplayType=cachedCRL&submit=Submit
[root@qe-blade-11 ca]# cat DomainController.cfg | grep crlDistPointsPointName_0
policyset.set1.crldp.default.params.crlDistPointsPointName_0=http://localhost.localdomain:9180/ca/ee/ca/getCRL?crlIssuingPoint=MasterCRL&op=getCRL&crlDisplayType=cachedCRL&submit=Submit


Mon Jul 13 2009 pki-selinux-8.0.0 10.el5pki.noarch
Tue Jul 14 2009 redhat-pki-tks-ui-8.0.0 13.el5pki.noarch
Mon Jul 13 2009 symkey-1.1.0 25.el5pki.x86_64
Mon Jul 13 2009 pki-common-8.0.0 16.el5pki.noarch
Thu Aug 28 2008 pkinit-nss-0.7.6 1.el5.x86_64
Mon Jul 13 2009 pki-setup-8.0.0 18.el5pki.noarch
Tue Jul 14 2009 redhat-pki-kra-ui-8.0.0 15.el5pki.noarch
Tue Jul 14 2009 pki-console-8.0.0 13.el5pki.noarch
Tue Jul 14 2009 pki-ca-8.0.0 21.el5pki.noarch
Mon Jul 13 2009 pki-java-tools-8.0.0 17.el5pki.noarch
Mon Jul 13 2009 redhat-pki-common-ui-8.0.0 21.el5pki.noarch
Tue Jul 14 2009 redhat-pki-ra-ui-8.0.0 23.el5pki.noarch
Tue Jul 14 2009 pki-ra-8.0.0 25.el5pki.noarch
Tue Jul 14 2009 pki-ocsp-8.0.0 20.el5pki.noarch
Mon Jul 13 2009 pki-util-8.0.0 16.el5pki.noarch
Mon Jul 13 2009 redhat-pki-ca-ui-8.0.0 30.el5pki.noarch
Tue Jul 14 2009 redhat-pki-console-ui-8.0.0 14.el5pki.noarch
Tue Jul 14 2009 pki-tps-8.0.0 28.el5pki.x86_64
Tue Jul 14 2009 pki-kra-8.0.0 20.el5pki.noarch
Tue Jul 14 2009 pki-native-tools-8.0.0 16.el5pki.x86_64
Mon Jul 13 2009 osutil-1.1.0 29.el5pki.x86_64
Tue Jul 14 2009 pki-tks-8.0.0 20.el5pki.noarch
Tue Jul 14 2009 redhat-pki-ocsp-ui-8.0.0 14.el5pki.noarch
Tue Jul 14 2009 redhat-pki-tps-ui-8.0.0 33.el5pki.noarch

Note You need to log in before you can comment on or make changes to this bug.